classification
Title: PEP 384 Refactoring applied to _csv module
Type: enhancement Stage: resolved
Components: Extension Modules Versions: Python 3.10
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Robin.Schreiber, loewis, petr.viktorin
Priority: normal Keywords: patch

Created on 2012-05-28 16:22 by Robin.Schreiber, last changed 2020-12-15 20:00 by terry.reedy. This issue is now closed.

Files
File name Uploaded Description Edit
csv_pep384.patch Robin.Schreiber, 2012-05-28 16:22
csv_pep384_v1.patch Robin.Schreiber, 2012-07-14 14:14 review
csv_pep384_v2.patch Robin.Schreiber, 2012-08-14 09:07
Pull Requests
URL Status Linked Edit
PR 23224 merged petr.viktorin, 2020-11-10 14:16
Messages (6)
msg161791 - (view) Author: Robin Schreiber (Robin.Schreiber) * (Python triager) Date: 2012-05-28 16:22
Corresponding to my previous Issue #14732 I have now applied the Heap-Type Refactoring from PEP 341 to the _csv module. As I will apply this refactoring for almost every Standard Module, I will bundle my PEP3121 and PEP341 refactorings into a single patch for future releases. (In case there are no objections)
msg161792 - (view) Author: Robin Schreiber (Robin.Schreiber) * (Python triager) Date: 2012-05-28 16:27
I was of course referring to PEP 384. Sorry for the inconvenience.
msg165451 - (view) Author: Robin Schreiber (Robin.Schreiber) * (Python triager) Date: 2012-07-14 14:14
Added missing INCREF and DECREF inside the dealloc, and new methods of the types.
msg168181 - (view) Author: Robin Schreiber (Robin.Schreiber) * (Python triager) Date: 2012-08-14 09:07
Fixed the dealloc-methods of the types, for proper type dereferencing.
msg383060 - (view) Author: Petr Viktorin (petr.viktorin) * (Python committer) Date: 2020-12-15 14:14
New changeset 6a02b384751dbc13979efc1185f0a7c1670dc349 by Petr Viktorin in branch 'master':
bpo-14935: Remove static state from the _csv module (GH-23224)
https://github.com/python/cpython/commit/6a02b384751dbc13979efc1185f0a7c1670dc349
msg383068 - (view) Author: Petr Viktorin (petr.viktorin) * (Python committer) Date: 2020-12-15 15:29
Thank you for working on this!
It took several years and some new C-API to get it right (see PEP 630), but I believe this and the related issues bpo-18710 and bpo-34533 can now be closed.
History
Date User Action Args
2020-12-15 20:00:17terry.reedysetversions: + Python 3.10, - Python 3.4
2020-12-15 15:29:01petr.viktorinsetstatus: open -> closed
resolution: fixed
messages: + msg383068

stage: patch review -> resolved
2020-12-15 14:14:49petr.viktorinsetmessages: + msg383060
2020-11-10 14:16:56petr.viktorinsetnosy: + petr.viktorin
pull_requests: + pull_request22122
2018-09-27 19:30:16berker.peksaglinkissue34533 superseder
2013-08-07 09:10:29belopolskylinkissue15787 dependencies
2012-08-14 09:08:16Robin.Schreibersetversions: + Python 3.4, - Python 3.3
2012-08-14 09:07:38Robin.Schreibersetfiles: + csv_pep384_v2.patch

messages: + msg168181
2012-07-14 14:14:54Robin.Schreibersetfiles: + csv_pep384_v1.patch

messages: + msg165451
2012-05-28 16:27:06Robin.Schreibersetmessages: + msg161792
title: PEP 341 Refactoring applied to _csv module -> PEP 384 Refactoring applied to _csv module
2012-05-28 16:25:17pitrousetnosy: + loewis

stage: patch review
2012-05-28 16:22:51Robin.Schreibercreate